Presentatione et question!


#1

Bonjour tout le monde !!!

J’ai decouvert depuis peu cayenne, et je trouve cet outil simplement parfait !

Alors a ce sujet j’ai deux questions, existe t’il une version offline de cayenne sur ordinateur ? Est t’il possible de se connecter au Pi ( etant sur le meme reseau ) sans avoir accés a internet ?

Ensuite une question plus pratique, j’ai l’impression qu’il y’a un bug, je ne sais pas si ca vient de moi ou de cayenne :

  • Mon graphique de temperature reste bloqué au mois de janvier, quand je lui demande la courbe sur l’heure il me dits qu’aucune données n’es disponibe, alors qu’en numerique il m’affiche la temperature ! Etrange…

  • Ensuite, et depuis cet apres midi je n’ai plus accés a mes GPIO, comme ce fait t’il ? si quelqu’un a une piste !

En tout cas super boulot, ca m’a motivé a pousser un peu plus la domotique, et toutes les applications possible grace a ce petit ordinateur !!!

Bonne soirée tout le monde !


#2

Bonjour @adrien.testas et merci de votre intérêt pour Cayenne!

Je m’excuse pour mon français car j’utilise Google Translate. Si je ne suis pas clair, faites-le savoir, nous avons des francophones à l’entreprise! :slight_smile:

À l’heure actuelle, il n’y a pas une version hors ligne de Cayenne, c’est quelque chose que nous avons discuté en interne et que nous développerons dans l’avenir.

Pour le graphique de la température, est-ce qu’il a transmis des données à Cayenne depuis plus d’une heure encore? Notre widget graphique apparaîtra parfois dans un état par défaut (1er janvier et ‘aucune donnée disponible’) jusqu’à ce qu’il contienne suffisamment de données pour remplir chaque vue.

Pour le problème GPIO, je pense que je sais ce que c’est:

Il existe maintenant un bug avec le logiciel Cayenne Pi et le noyau Linux 4.9. Vous pouvez vérifier votre kernel vesrion en exécutant uname -a sur votre Pi.

Si c’est le 4.9, vous pouvez passer à 4.4 avec la commande:

sudo rpi-update 52241088c1da59a359110d39c1875cda56496764

… et puis un redémarrage après la fin de la mise à jour. Après cela, le GPIO devrait fonctionner à nouveau.

Nous aurons une mise à jour du logiciel Cayenne dans la prochaine semaine ou deux pour permettre la compatibilité avec les noyaux 4.4 et 4.9, donc ce sera un problème dans le passé très bientôt.


#3

Re @rsiegel

Merci pour ta reponse, malheureusement le passage a la 4.4 ne change pas grand choses… J’ai toujours “innacesible” sur mes widgets ! Cependant le reste (cpu, ram…) fonctionne.

Cen se serait pas une histoire de librairie wiringpi ? Qui donne accés au gpio ?

Merci encore (:slight_smile:

Re @rsiegel

Thank you for your response, unfortunately the switch to the 4.4 does not change much … I always “unreachable” on my widgets! However the rest (cpu, ram …) works.

this wouldn’t have a history of wiringpi bookstore? Who gives access to gpio?

Thanks again (: slight_smile:


#4

I will add @eptak here as he is a native French speaker, and may know this answer better than I. @eptak, are you familiar with wiringpi and could this be interfering with webiopi to make the widgets show ‘unreachable’?


#5

thank’s, I wait him !

Maybe one day we have french Cayenne Community !


#6

@adrien.testas Pour moi après avoir installé la version 4.4 j’ai du effacer puis reinstaller les widget pour les faire fonctioner. Cela pourrait être le cas pour toi aussi.


#7

Ok cool ca roule pour moi !!!

Merci a tous de m’avoir repondue !

@julian tu t’en sors bien avec Cayenne ? je cherche des interlocuteurs qui parle francais si jamais j’ai un souci ^^


#8

@adrien.testas Oui ca vas très bien pour moi. Ca m’as pris temps pour vraiment tout comprendre mais je croix que j’ai réuissis. :slight_smile:


#9

Tu as un mail du coup, quelque chose comme ca ?


#10

Tu peux me messager en clickant sur mon profile.


#11

@adrien.testas

Je voulais juste heurter ce fil pour constater que nous avons maintenant mis à jour notre agent Pi pour prendre en charge le noyau 4.9 (il supporte toujours 4.4). La mise à jour était automatique en arrière-plan, donc il n’y a rien que vous devez faire à votre fin. N’hésitez pas à utiliser rpi-update pour avancer vers le noyau 4.9 à ce point si vous le souhaitez!